Bug 62201 - Annoyance: KDE Taskbar "stuck" tooltip blocks clicking
Annoyance: KDE Taskbar "stuck" tooltip blocks clicking
Product: Red Hat Public Beta
Classification: Retired
Component: qt (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-03-28 06:59 EST by Warren Togami
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-04 09:52:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-03-28 06:59:07 EST
From Bugzilla Helper:  
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0; Linux)  
Description of problem:  
(Note: As you read this keep in mind that "Taskbar" is within the KDE panel.)  
Often the pop-up text tooltip in the Taskbar will get "stuck", blocking  
clicking of the taskbar item on the right (beneith the tooltip).  This is  
mainly bad when using small or especially tiny panel because it covers the  
entire vertical height of the taskbar, thus preventing clicking.  
It appears that normal behavior has the tooltip hopping left with the mouse  
while it is within the taskbar.  This is acceptable behavior.  Another normal  
behavior is for the tooltip to move smoothly right with the mouse while it is  
within the taskbar.  This is also acceptable.  However, sometimes the tooltip  
becomes "stuck", where it wont move right with the mouse thus blocking  
clicking access to the tasks beneith.  
Other components in the kicker panel like quick launch buttons and systray do  
not exhibit this behavior.  They all show pop-up tooltips, but they quickly  
disappear when you move your mouse, not blocking clicks.  
Version-Release number of selected component (if applicable):  
KDE3 (Skipjack) and KDE3 (up2date 3-27-2002)  
How reproducible:  
Steps to Reproduce:  
1. Run several different applications so they are in your KDE taskbar.  Make  
your panel tiny in size.  
2. Mouse in and out several times until a tooltip gets "stuck".  You will know  
when it is stuck when the tooltip wont move with the mouse when you move right  
slowly.  It seems to occur more often when you have quickly moved the mouse  
from the application to taskbar area then stop abruptly in a southeasterly  
3. "Stuck" tooltip blocks clicking access to tasks on the right.  
Expected Results: 
Tooltip should *always* move right with the mouse pointer.
Comment 1 Bernhard Rosenkraenzer 2002-04-04 09:50:50 EST
It does, usually. 
Way to reproduce this: Move the mouse to the taskbar, wait for the tooltip to come up 
While it's there, move the mouse to the bottom of the screen, then move it out of the 
taskbar area while keeping it on the bottom of the screen. 
Leaving the area in any other way seems to do the correct thing. 
Comment 2 Warren Togami 2002-05-09 04:32:24 EDT
Re-tested: Appears to be fixed satisfactorily in Red Hat Linux 7.3.

Note You need to log in before you can comment on or make changes to this bug.